Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.common.collect
Enum BoundType

    java.lang.Object
      java.lang.Enum<BoundType>
          com.google.common.collect.BoundType

All Implemented Interfaces:
  Serializable, Comparable<BoundType>

    @Beta
    @GwtCompatible
    public enum BoundType

extends Enum<BoundType>

Indicates whether an endpoint of some range is contained in the range itself ("closed") or not ("open"). If a range is unbounded on a side, it is neither open nor closed on that side; the bound simply does not exist.

Since:
  10.0

Enum Constant Summary
`CLOSED` The endpoint value is considered part of the set ("inclusive").
`OPEN` The endpoint value is not considered part of the set ("exclusive").

Method Summary
`static BoundType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BoundType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final BoundType OPEN

  The endpoint value is not considered part of the set ("exclusive").

### CLOSED

    public static final BoundType CLOSED

  The endpoint value is considered part of the set ("inclusive").

Method Detail

### values

    public static BoundType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BoundType c : BoundType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BoundType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010-2011. All Rights Reserved.